This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 361941 - Review Request: python-ZSI - Zolera SOAP Infrastructure
Review Request: python-ZSI - Zolera SOAP Infrastructure
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
: 313361 (view as bug list)
Depends On: 364961
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 11:10 EDT by Michał Bentkowski
Modified: 2013-01-10 05:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-18 10:12:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michał Bentkowski 2007-11-01 11:10:27 EDT
Spec URL: http://ecik.fedorapeople.org/python-ZSI/python-ZSI.spec
SRPM URL: http://ecik.fedorapeople.org/python-ZSI/python-ZSI-2.0-1.fc7.src.rpm
Description: The Zolara SOAP Infrastructure provides libraries for developing web services
using the python programming language. The libraries implement the various
protocols used when writing web services including SOAP, WSDL, and other
related protocols.

This package has been already submitted for review, however it seems that there's no interest in it (bug 313361). So I decided to take over that because it's needed for my sonata package.
Hope it'll get reviewed quick ;)
Comment 1 Michał Bentkowski 2007-11-01 11:10:54 EDT
*** Bug 313361 has been marked as a duplicate of this bug. ***
Comment 2 Jeffrey C. Ollie 2007-11-02 23:32:37 EDT
I've been looking a little bit at the package and I've found that the wsdl2py
script requires python-setuptools and it requires that PyXML provide Egg
information.  I've submitted bug 364961 with a patch for the PyXML issue.
Comment 3 Jason Tibbitts 2007-11-21 16:57:23 EST
Now that 364961 is closed, I guess I can review this although frankly I've no
idea at all how to test this package, or what bug 364961 was about.

However, one thing I find troubling is that the two executables installed, along
with a few of the .py files, say:
  # Joshua Boverhof<JRBoverhof@lbl.gov>, LBNL
  # Monte Goode <MMGoode@lbl.gov>, LBNL
  # See Copyright for copyright notice!
but there's no file "Copyright" to be found anywhere.  Many of the other files
say "See LBNLCopyright for copyright notice!" and no such file exists.

How did you determine the licensing information for those files?
Comment 4 Michał Bentkowski 2007-11-21 17:18:14 EST
For some reasons all Copyright files are omitted in tarballs. However they still
can be found on svn:
http://pywebsvcs.svn.sourceforge.net/viewvc/*checkout*/pywebsvcs/trunk/zsi/
Copyright

and

http://pywebsvcs.svn.sourceforge.net/viewvc/*checkout*/pywebsvcs/trunk/zsi/ZSI/
LBNLCopyright

should clarify all things. It seems that "LBNL" is just a BSD-like license and
what I've found on ZSI/__init__.py is all true.
Comment 5 Michał Bentkowski 2007-12-11 13:28:39 EST
Ping?
Hope that someone will take this review soon ;)
Comment 6 Jason Tibbitts 2007-12-20 01:34:20 EST
Looks like those URLs wrapped.

http://pywebsvcs.svn.sourceforge.net/viewvc/*checkout*/pywebsvcs/trunk/zsi/Copyright
http://pywebsvcs.svn.sourceforge.net/viewvc/*checkout*/pywebsvcs/trunk/zsi/ZSI/LBNLCopyright

Can you include the actual copyright notices in with the package; something like

# These copyright files were omitted from the tarballs:
Source10: http://whatever/Copyright
Source11: http://whatever/LBNLCopyright

I'll ask spot to drop in and verify that the license qualifies as BSD, as the
bit at the end is unfamiliar to me.
Comment 7 Jason Tibbitts 2007-12-20 11:13:24 EST
I asked spot on IRC today and he indicated that we're going to have to talk to
the lawyers, because that last paragraph in the license is something we haven't
seen before.

Blocking FE-Legal
Comment 8 Tom "spot" Callaway 2007-12-20 13:17:49 EST
FSF says this is GPL compatible, so I've added this to the license list as "LBNL
BSD" (since it has the additional clause, we can't use straight BSD).
Comment 9 Jason Tibbitts 2007-12-20 21:50:25 EST
So, to summarize the past few comments:

The license is OK, but change from "BSD" to "LBNL BSD" (which will cause
rpmlint to complain until it gets a patch).

Include the copyright notices in the package.  Normally we're OK if upstream
leaves out the expected copy of the GPL COPYING file, but in this case we have
a weird license that almost certainly isn't going to be elsewhere on the system
and that seems to have been left out accidentally by upstream.  It hurts
nothing to include it.

Otherwise I think this package is fine.

* source files match upstream:
   368059c92c1afa6ae027d5aea6985caf0bbb890c5589c7d4564e59219ffa0f50
   ZSI-2.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field matches the actual license.
* license is open source-compatible.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   python-ZSI = 2.0-1.fc9
  =
   /usr/bin/env
   /usr/bin/python
   PyXML
   python(abi) = 2.5

* %check is not present; I've no idea how to test this package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 10 Michał Bentkowski 2007-12-21 09:55:36 EST
Thanks Jason for the review.
Before fixing license issues, I want to know your opinion about changing
package's name. Well, python-ZSI is without any doubt correct but inconvenient,
I mean upper case.
Would it be a good idea to change the name to python-zsi and provide python-ZSI 
(not really sure whether the providing is needed)?
Comment 11 Jason Tibbitts 2007-12-22 19:31:55 EST
Well, in general such things are up to the maintainer but the guidelines
indicate that if in doubt you should name the package after what you use on the
"import" line to load the module.

I'm personally more familiar with Perl than Python; Perl module names and hence
the package names almost always have upper-case letters in them.
Comment 12 Michał Bentkowski 2007-12-31 14:28:31 EST
Fixed license tag issues. Should be fine now.

SPEC: http://ecik.fedorapeople.org/python-ZSI/python-ZSI.spec
SRPM: http://ecik.fedorapeople.org/python-ZSI/python-ZSI-2.0-2.fc8.src.rpm
Comment 13 Jason Tibbitts 2008-01-04 00:39:25 EST
This looks fine to me.  I guess there's no real need to separately include a
copy of the license text since we have it in the wiki now.  One incredibly minor
issue:
  # to obtain some license information have a loot at ZSI/__init__.py file
You probably mean "look" instead of "loot".

Of course, the license change has elicited a complaint from rpmlint:
  python-ZSI.noarch: W: invalid-license LBNL BSD
but it will take rpmlint a while to catch up.  Probably needs a ticket filed.

APPROVED
Comment 14 Michał Bentkowski 2008-01-04 07:06:30 EST
(In reply to comment #13)
>   # to obtain some license information have a loot at ZSI/__init__.py file
> You probably mean "look" instead of "loot".

You're right. I will fix it when commiting to cvs

> APPROVED

Thank you :)
Comment 15 Michał Bentkowski 2008-01-04 07:08:27 EST
New Package CVS Request
=======================
Package Name: python-ZSI
Short Description: Zolera SOAP Infrastructure
Owners: ecik
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 16 Kevin Fenzi 2008-01-04 13:46:32 EST
cvs done.
Comment 17 Michał Bentkowski 2008-01-04 15:25:13 EST
Package Change Request
======================
Package Name: python-ZSI
Updated Fedora Owners: ecik,jbowes
Comment 18 Kevin Fenzi 2008-01-04 15:39:59 EST
cvs done.
Comment 19 Steve Traylen 2009-10-26 12:36:18 EDT
Package Change Request
======================
Package Name: python-ZSI
New Branches: EL-4 EL-5
Owners: stevetraylen
InitialCC: ecik,jbowes


I've contacted the python-ZSI owners on 4th, 16th and 19th of 
October requesting an EPEL build of python-ZSI. They have 
not responded so I am now at liberty to request and own
the branch myself.

Steve Traylen.
Comment 20 Kevin Fenzi 2009-10-26 16:22:28 EDT
cvs done.
Comment 21 Fedora Update System 2009-10-26 17:44:49 EDT
python-ZSI-2.0-6.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/python-ZSI-2.0-6.el4
Comment 22 Fedora Update System 2009-10-26 17:45:09 EDT
python-ZSI-2.0-6.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-ZSI-2.0-6.el5
Comment 23 Fedora Update System 2009-11-13 14:32:42 EST
python-ZSI-2.0-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2009-11-13 14:32:59 EST
python-ZSI-2.0-6.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.